Issue 122525 - [SVG import] linear gradient looks weird
[SVG import] linear gradient looks weird
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: open-import
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 14:42 UTC by datbug
Modified: 2013-07-12 16:44 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
image showing the behaviour (15.20 KB, image/png)
2013-06-12 14:42 UTC, datbug
no flags Details
test file (10.63 KB, image/svg+xml)
2013-06-12 14:42 UTC, datbug
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description datbug 2013-06-12 14:42:34 UTC
Created attachment 80833 [details]
image showing the behaviour

XP, AOO400m2(Build:9701) - Rev. 1489073 2013-06-03 13:48:37 (Mo, 03 Jun 2013)
Insert->Picture->From File
linear gradient from top to bottom looks weird weird(rasterisedlike)
normally linear gradient seems to work but not in this drawing
Comment 1 datbug 2013-06-12 14:42:52 UTC
Created attachment 80834 [details]
test file
Comment 2 Armin Le Grand 2013-06-14 08:56:31 UTC
ALG: Confirmed and grepping. Thanks for the example!
Comment 3 Armin Le Grand 2013-06-14 11:47:53 UTC
ALG: It's a pure visualization task, the import is not involved but imports the gradient with all precision. Rendering currently has to paint single circles in the VCLRenderer, thus a step count is calculated dependent from the discrete target resolution. That calculation currently only uses the X-Direction, this explains why it works in X but not in Y. What is really wanted here is to use the maximum of both distances. Changing and checking.
Comment 4 Armin Le Grand 2013-06-14 11:50:47 UTC
ALG: Future things: With system-dependent renderers the gradients will be painted directly as much as possible. The Break on gradient SVGs currently uses the decompose as base to create masked single circles, but as soon as SVG gradients will be implemented (which are in the ODF already) this will also change. Currently an awful lot of DrawObjects needs to be created when Breaking SVG to DrawObjects.
Note: Need to check Break also in this example.
Comment 5 Armin Le Grand 2013-06-14 12:03:03 UTC
ALG: Corrected rendering and decomposition, works, comitted, done.
Comment 6 SVN Robot 2013-07-11 08:58:25 UTC
"alg" committed SVN revision 1493049 into trunk:
i122525 use X and Y for unit evaluation